# Main (ARX GUI Documentation)

org.deidentifier.arx.gui

## Class Main

- java.lang.Object
- - org.deidentifier.arx.gui.Main

-     public class Main
      extends java.lang.Object

  Main entry point.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Main()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(org.eclipse.swt.widgets.Display display, java.lang.String[] args)` Main entry point.
    `static void` | `main(java.lang.String[] args)` Main entry point.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Main

          public Main()

  - ### Method Detail

    - #### main

          public static void main(org.eclipse.swt.widgets.Display display,
                  java.lang.String[] args)

      Main entry point.
      Parameters:
        `args` -

    - #### main

          public static void main(java.lang.String[] args)

      Main entry point.
      Parameters:
        `args` -